Get consensus block
Returns the latest block that has reached consensus and is guaranteed to be final. This block will never be reverted, making it safe for confirming transactions that require absolute finality.
X-API-Key<token>
API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Empty request body for endpoints that require no parameters.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v2/getConsensusBlock" \ -H "Content-Type: application/json" \ -d '{}'{ "ok": true, "result": { "@type": "ext.blocks.consensusBlock", "consensus_block": 0, "timestamp": 0 }, "@extra": "string"}